# LiveJS Video API

Customer code sample:
index.html:
```html
<!DOCTYPE html>
<html lang='en'>
<head>
    <meta charset='UTF-8'>
    <title>Button API usage</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src='https://live.icecat.biz/js/live-current-2.js' async></script>
    <link rel="stylesheet" type="text/css" href="styles.css" />
</head>
<body>
<div class='wrapper'>
    <div id='IcecatLive'></div>
    <div>
        <button id='myPlayButton'>Play</button>
        <button id='myStopButton'>Stop</button>
    </div>
</div>
<script src="custom.js"></script>
</body>
</html>

```
*custom.js:*
Live JS call

```
window.addEventListener('liveload', function () {
  window.IcecatLive.getDatasheet({'videos': '#IcecatLive'}, {
	'shopname': 'openIcecat-live',
	'icecat_id': '343076'
  }, 'EN');
})
```

Custom webpage logic:

```
window.onload = function () {
  const playButton = document.querySelector('#myPlayButton')
  const stopButton = document.querySelector('#myStopButton')
  playButton.addEventListener('click', function () {
	if (window.IcecatLive) {
	  window.IcecatLive.trigger('videos:play');
	}
  });
  stopButton.addEventListener('click', function () {
	if (window.IcecatLive) {
	  window.IcecatLive.trigger('videos:stop');
	}
  })
}

```
